### Function

# Gio PollableSourceFunc

since: 2.28

#### Declaration

    gboolean
    (* GPollableSourceFunc) (
      GObject* pollable_stream,
      gpointer data
    )

#### Description

This is the function type of the callback used for the `GSource` returned by `g_pollable_input_stream_create_source()` and g_pollable_output_stream_create_source().

Available since: 2.28

#### Parameters

`pollable_stream`

  Type: `GObject`

  The `GPollableInputStream` or `GPollableOutputStream`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Data passed in by the user.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

It should return `FALSE` if the source should be removed.